Categories
Security

TLS 1.3 get’s blocked by Cisco, Avast & NSA

The latest TLS 1.3 draft has several issues which needs to be solved – those problems are related to Cisco, Avast and the NSA. The reason why TLS 1.3 isn’t official released are problems – Middleboxes. Devices like some Canon printers or Browsers (like Chrome which supports the latest draft) dropping the TLS connection. The specific reason is unknown but there some trails found, especially on Canon printers which reveals old NSA operations. The developer David Benjamin mentioned such problems now officially.

131758-150637-i_rc
NSA HQ